Subject: Re: bug#44682: 28.0.50; dired on file with space first: dired-get-file-for-visit: File no longer exists; type ‘g’ to update Dired buffer

From: Michael Albinus <[email-masked]>
Date: Wed, 18 Nov 2020 11:40:24 +0100

Michael Albinus <[email-masked]> writes:

Hi,

> The problem is, that dired does not recognise the filename correctly, if
> it starts with a space, and text property dired-filename isn't set
> accordingly (as it should, if --dired is used). I plan to debug this
> case, but there wasn't time for this by today. Hope I could do it
> tomorrow.

The dired-filename text property was lost due to a decode-coding-region
call. I've fixed this in Tramp, pushed to master.

Jean, does it work for you?

Best regards, Michael.